package com.ruoyi.invest.mapper;

import com.ruoyi.common.datascope.annotation.DataScope;
import com.ruoyi.invest.domain.PosMachine;
import com.ruoyi.invest.domain.dto.PosMachineDto;
import com.ruoyi.invest.domain.vo.PosMachineVo;

import java.util.List;

/**
 * pos机信息Mapper接口
 *
 * @author tianyongbao
 * @date 2024-03-18
 */
public interface PosMachineMapper
{
    /**
     * 查询pos机信息
     *
     * @param id pos机信息主键
     * @return pos机信息
     */
    public PosMachineVo selectPosMachineById(Long id);

    /**
     * 查询pos机信息列表
     *
     * @param posMachineDto pos机信息
     * @return pos机信息集合
     */
    @DataScope(businessAlias = "a")
    public List<PosMachineVo> selectPosMachineList(PosMachineDto posMachineDto);

    /**
     * 新增pos机信息
     *
     * @param posMachine pos机信息
     * @return 结果
     */
    public int insertPosMachine(PosMachine posMachine);

    /**
     * 修改pos机信息
     *
     * @param posMachine pos机信息
     * @return 结果
     */
    public int updatePosMachine(PosMachine posMachine);

    /**
     * 删除pos机信息
     *
     * @param id pos机信息主键
     * @return 结果
     */
    public int deletePosMachineById(Long id);

    /**
     * 批量删除pos机信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePosMachineByIds(Long[] ids);

    /**
     * 逻辑删除pos机信息
     *
     * @param id pos机信息主键
     * @return 结果
     */
    public int removePosMachineById(Long id);

    /**
     * 批量逻辑删除pos机信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int removePosMachineByIds(Long[] ids);
}
